Package twisted :: Package spread :: Module pb :: Class CopyableFailure

[show private | hide private]
[frames | no frames]

## Class CopyableFailure

              Failure --+
                        |
    Jellyable --+       |
                |       |
     Serializable --+   |
                    |   |
             Copyable --+
                        |
                       CopyableFailure

A `flavors.RemoteCopy` and `flavors.Copyable` version of `twisted.python.failure.Failure` for serialization.

Method Summary
| ``__init__`(self, exc_value, exc_type, exc_tb)` Initialize me with an explanation of the error. (inherited from `Failure`)
| ``__getstate__`(self)` Avoid pickling objects in the traceback. (inherited from `Failure`)
| `__repr__(self)` (inherited from `Failure`)
| `__str__(self)` (inherited from `Failure`)
| `check(self, *errorTypes)` (inherited from `Failure`)
| ``cleanFailure`(self)` Remove references to other objects, replacing them with strings. (inherited from `Failure`)
| `getBriefTraceback(self)` (inherited from `Failure`)
| `getErrorMessage(self)` (inherited from `Failure`)
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Copyable`)
| `getTraceback(self)` (inherited from `Failure`)
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``jellyFor`(self, jellier)` Assemble type tag and state to copy for this broker. (inherited from `Copyable`)
| ``printBriefTraceback`(self, file)` Print a traceback as densely as possible. (inherited from `Failure`)
| ``printDetailedTraceback`(self, file)` Print a traceback with detailed locals and globals information. (inherited from `Failure`)
| ``printTraceback`(self, file)` Emulate Python's standard error reporting mechanism. (inherited from `Failure`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``trap`(self, *errorTypes)` Trap this failure if its type is in a predetermined list. (inherited from `Failure`)

Method Details

### getStateToCopy(self)

Gather state to send when I am serialized for a peer.

I will default to returning self.__dict__. Override this to customize this behavior.

  Overrides:
    `twisted.spread.flavors.Copyable.getStateToCopy` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:54 2003 | http://epydoc.sf.net